POST document/merge/{quote}
Create a new Quote Document.
Request Information
URI
https://scoregroup-uat-api.xaitcpq.net/document/merge/{quote}?template={template}&name={name}&extension={extension}&includeAttachments={includeAttachments}"eProduct={quoteProduct}
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| quote |
Quote Identifier. |
globally unique identifier |
Required |
| template |
Quote template. |
globally unique identifier |
Required |
| name |
File name. |
string |
Required |
| extension |
File type. |
string |
Required |
| includeAttachments | boolean |
Default value is False |
|
| quoteProduct |
Associated quote product. |
globally unique identifier |
None. |
Body Parameters
Collection of globally unique identifierRequest Formats
application/json, text/json
Sample:
[ "5b7f5729-7d33-48a6-af93-5448a0c580e7", "14539d64-ce35-48c1-bb47-af3c14532e89" ]
text/html
Sample:
["5b7f5729-7d33-48a6-af93-5448a0c580e7","14539d64-ce35-48c1-bb47-af3c14532e89"]
application/xml, text/xml
Sample:
<ArrayOfguid xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.microsoft.com/2003/10/Serialization/Arrays"> <guid>5b7f5729-7d33-48a6-af93-5448a0c580e7</guid> <guid>14539d64-ce35-48c1-bb47-af3c14532e89</guid> </ArrayOfguid>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
Identifier of the new document.
HttpResponseMessage| Name | Description | Type | Additional information |
|---|---|---|---|
| Version | Version |
None. |
|
| Content | HttpContent |
None. |
|
| StatusCode | HttpStatusCode |
None. |
|
| ReasonPhrase | string |
None. |
|
| Headers | Collection of Object |
None. |
|
| RequestMessage | HttpRequestMessage |
None. |
|
| IsSuccessStatusCode | boolean |
None. |